Package ru.bitel.bgbilling.modules.runtel.server.bean

# Class RunTelContractTariffDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<RunTelContractTariff>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RunTelContractTariff>
ru.bitel.bgbilling.modules.runtel.server.bean.RunTelContractTariffDao

public class RunTelContractTariffDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RunTelContractTariff>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunTelContractTariffDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `deleteImpl(int id)`
  `RunTelContractTariff`
  `get(int contractId, LocalDate date)`
  `protected RunTelContractTariff`
  `getFromRS(ResultSet rs)`
  `Map<Integer,RunTelContractTariff>`
  `getLastRunTelContractTariffs()`
  последние тарифы договоров (на текущую дату)
  `LocalDateTime`
  `getOnDate(int contractId)`
  `List<RunTelContractTariff>`
  `getRunTelContractTariffs(int contractId, PeriodWithTime period)`
  `List<RunTelContractTariff>`
  `getRunTelContractTariffs(LocalDateTime date)`
  `List<RunTelContractTariff>`
  `getRunTelContractTariffs(Period period)`
  `void`
  `updateDateTo(int contractTariffId, LocalDateTime dateTo)`
  `protected void`
  `updateImpl(RunTelContractTariff runTelContractTariff)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RunTelContractTariffDao

    public RunTelContractTariffDao(Connection con, int moduleId)

- ## Method Details

  - ### getRunTelContractTariffs

    public List<RunTelContractTariff> getRunTelContractTariffs(LocalDateTime date) throws SQLException
    Throws:
      `SQLException`

  - ### getRunTelContractTariffs

    public List<RunTelContractTariff> getRunTelContractTariffs(Period period) throws SQLException
    Throws:
      `SQLException`

  - ### getRunTelContractTariffs

    public List<RunTelContractTariff> getRunTelContractTariffs(int contractId, PeriodWithTime period) throws SQLException
    Throws:
      `SQLException`

  - ### getOnDate

    public LocalDateTime getOnDate(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public RunTelContractTariff get(int contractId, LocalDate date) throws SQLException
    Throws:
      `SQLException`

  - ### deleteImpl

    protected int deleteImpl(int id) throws SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RunTelContractTariff>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected RunTelContractTariff getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RunTelContractTariff>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RunTelContractTariff runTelContractTariff) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RunTelContractTariff>`
    Throws:
      `SQLException`

  - ### updateDateTo

    public void updateDateTo(int contractTariffId, LocalDateTime dateTo) throws SQLException
    Throws:
      `SQLException`

  - ### getLastRunTelContractTariffs

    public Map<Integer,RunTelContractTariff> getLastRunTelContractTariffs() throws SQLException
    последние тарифы договоров (на текущую дату)
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`